> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Resource

> Deletes a single resource identified by its schema and external ID



## OpenAPI

````yaml DELETE /api/resources/{schemaDefinitionNameOrId}/{externalId}
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/resources/{schemaDefinitionNameOrId}/{externalId}:
    delete:
      tags:
        - Partner Resources
      summary: Delete Resource
      description: Deletes a single resource identified by its schema and external ID
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: The name or id of the schema definition the resource belongs to
          required: true
          description: The name or id of the schema definition the resource belongs to
          name: schemaDefinitionNameOrId
          in: path
        - schema:
            type: string
            description: The external ID of the resource to delete
          required: true
          description: The external ID of the resource to delete
          name: externalId
          in: path
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Success message after deletion
                      deleted:
                        type: boolean
                        description: Boolean indicating if deletion was successful
                    required:
                      - message
                      - deleted
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message
        '404':
          description: Status 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      error:
                        type: string
                    required:
                      - error
                required:
                  - success

````